[viewBag]

[Agent]
==
<footer class="ps-footer">
    <div class="ps-footer__content">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12  ">
                    {#{% if Agent.isDesktop() %}#}
	                    <form mode="post" class="ps-form--subscribe-footer">
	                        {#<p>{{'Resta aggiornato sui nostri prodotti e ricevi consigli di moda'|_}}.</p>#}
	                        <p>{{'[newsletterCoupon]'|_}}.</p>
	                        <div class="form-group">
	                        	
	                            <input id="newsletter_mail" name="email" class="form-control" type="text" placeholder="{{'Il tuo indirizzo email'|_}}">
	                            <button disabled style="opacity: 0.7; cursor: no-drop;" id="newsletter_button" type="button" onclick="newsletterRegistration()">{{'ISCRIVITI'|_}}</button>
 
	                        </div>
	                        <div class="form-group ginput_container ginput_container_checkbox">
								<ul class="gfield_checkbox" id="input_1_8">
									<li class="gchoice_1_8_1">
										<input onclick="checkPrivacy(this)" name="newsletter_privacy" type="checkbox" value="1" id="newsletter_privacy" tabindex="8">
										<label for="newsletter_privacy" id="privacy">{{'Acconsento al trattamento dei miei dati personali da parte di Rubinacci srl per le finalità di marketing correlate ai servizi offerti (newsletter, promozioni, ecc)'|_}}.&nbsp;{{'Informativa sulle attività promozionali e policy marketing.'|_}}</label>
									</li>
								</ul>
							</div>
	                    </form>
	                {#{% endif %}#}
                    <div class="form-group {{Agent.isDesktop() ? 'social-icon' : 'mobile-social-icon'}}">
						<p class="titolipag2 pos-fll">{{'FOLLOW US'|_}}</p>
                        <a href="https://it-it.facebook.com/rubinacciofficial/" target="_blank">
                        	<i class="fab fa-facebook"></i>
                        </a>
                        <a href="https://www.instagram.com/rubinacci_official/" target="_blank">
                        	<i class="fab fa-instagram"></i>
                        </a>
                        <a href="https://api.whatsapp.com/send?phone=+442074992299" target="_blank">
                        	<i class="fab fa-whatsapp"></i>
                        </a>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12  ">
                	<div>
						<p class="titolipag2 ">NAPOLI</p><p><a href="#">Palazzo Cellamare Via Chiaia 149/e – 80121</a></p>
						<p class="titolipag2 ">MILANO</p><p><a href="#">Via Montenapoleone 18/Via Gesù 1 – 20121</a></p>
						<p class="titolipag2 ">LONDRA</p><p><a href="#">Mount Street 96 – Mayfair – W1K2TB</a></p>
					</div>
					<br>
                    <p>{{'CONTATTACI'|_}}</p>
                    <p><a href="tel:{{info.phone}}">{{info.phone}}</a></p>
					<p><a href="mailto:{{info.email}}">{{info.email}}</a></p>
                </div>
            </div>
        </div>
    </div>
</footer>
<footer class="ps-footer">
    <div class="ps-footer__content2">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 {{ Agent.isMobile() ? '' : 'rigadx'}}">
                    <div id="legale">
                        <p><a href="{{ activeLocale == 'it' ? '/it/chi-siamo' : '/en/about-us'}}">{{'Chi siamo'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/contatti' : '/en/contacts'}}">{{'Contatti'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/spedizioni' : '/en/delivery'}}">{{'Spedizioni'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/pagamenti' : '/en/payments'}}">{{'Pagamenti'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/resi' : '/en/returns'}}">{{'Resi'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/informativa-estesa' : '/en/extended-information'}}">{{'Informativa Estesa'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/informativa-vendita' : '/en/sales-information'}}">{{'Termini e Condizioni di Vendita'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/informativa-cookie' : '/en/cookie-policy'}}">{{'Informativa Cookie'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/informativa-clienti' : '/en/terms-and-conditions'}}">{{'Informativa Clienti'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/informativa-attivita-promozionali' : '/en/promotional-information'}}">{{'Informativa Attività Promozionale'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/mio-account/orders' : '/en/my-account/orders'}}">{{'Ordini'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/mio-account/edit-account' : '/en/my-account/edit-account'}}">{{'Dettagli Account'|_}}</a></p>
                        <p><a href="{{ activeLocale == 'it' ? '/it/faq' : '/en/faq'}}">{{'FAQ'|_}}</a></p>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12  ">
                    <p id="visit-house" style="margin-left: 20%;font-size: 14px;color: #030303;font-weight:500;">{{'Visita la lussuosa casa della famiglia Rubinacci a Napoli'|_}}</p>
                    <div id="casa">
                    	<a href="https://www.casarubinacci.it/" target="_blank"><img src="/storage/app/media/casa_rubinacci.png" width="174px"></a>
                	</div>
                    <p id="your-house" style="margin-left:37%; font-style: italic;font-size: 14px;color: #030303;">“{{'La tua casa fuori casa'|_}}”</p>
															 
                </div>
            </div>
        </div>
    </div>
    </div>
    <div class="ps-footer__copyright">
        <div class="container">
            <div class="row">
                <div class="col"> </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12 ">
                    <div style="text-align:center; margin-bottom:10px;"> <img src="/storage/app/media/logo.png" width="120px">
                        <p id="copy">{{info.business_name}}: {{info.address}} – {{info.post_code}} {{info.city}} – P.Iva {{info.p_iva}} – Cap Soc. €800.000,00 i.v. – Iscr REA NA-164972 – Scia Prot 107542 Codice attività vendita dettaglio e commerce: 47.91.1</p>
                    </div>
                </div>
                <div class="col"> </div>
            </div>
        </div>
    </div>
</footer>
<div id="back2top"><i class="pe-7s-angle-up"></i></div>
<div class="ps-site-overlay"></div>
{#
<div id="loader-wrapper">
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
</div>
#}

<div id="sidebar-cart" class="ps-cart--sidebar">
	<div class="ps-cart__header">
		<h3>{{'Carrello'|_}}</h3>
		<a class="ps-btn--close ps-btn--no-boder close-sidebar" href="#"></a>
	</div>
	<div class="ps-cart--sidebar-content">
    	{% partial 'minicart-update' %}
	</div>
</div>
{% put scripts %}
	<script type="text/javascript">
		
		/*$(".ps-cart--sidebar .ps-cart__header .ps-btn--close").on("click", function (e) {
	        e.preventDefault();
	        $(".ps-cart--sidebar").removeClass("active");
	        $(".ps-site-overlay").removeClass("active");
	    });*/
		
		function addCouponMini(){
			$.request('CartHelperCart::onApplyCoupon', {
				data: {'coupon': $('#coupon-mini').val()},
				//update: {'cart-update': `.ps-page`, 'minicart-update': '.ps-cart--sidebar'},
				redirect: '{{ activeLocale == 'it' ? '/it/carrello' : '/en/cart'}}',
				loading: $.oc.stripeLoadIndicator,
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			});
		}
		function removeCouponMini(){
			$.request('CartHelperCart::onRemoveCoupon', {
				data: {'coupon': $('#coupon-mini').val()},
				//update: {'cart-update': `.ps-page`, 'minicart-update': '.ps-cart--sidebar'},
				redirect: '{{ activeLocale == 'it' ? '/it/carrello' : '/en/cart'}}',
				loading: $.oc.stripeLoadIndicator,
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			});
		}
		function removeFromCart(offerid) {
		  	//aggiungere controllo se prensente personalizzazione ed in caso si stia rimuovendo il prodotto collegato rimuovere anche questa
		  	const cartData = [
		      {
		        'cart': offerid,
				'shipping_type_id': ''
		      }
		    ];

		  	//$.request('onRemove', {
		  	$.request('CartHelperCart::onRemoveFromCart', {
			  	data: {'cart': cartData },
			  	loading: $.oc.stripeLoadIndicator,
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() {
			  		$.request('Cart::onGetData', {
				      update: {'cart-update': `.ps-page`,'cart-count': `.cart-count`, 'minicart-update': '.ps-cart--sidebar-content'}
				    });
			  	},
			  	
			});
		  
		}
		
		function newsletterRegistration(){
			const data = {
				'email': document.getElementById("newsletter_mail").value,
				'privacy': document.getElementById("newsletter_privacy").value,
			};
			$.request('onNewsletterRegister', {
				data: data,
			  	loading: $.oc.stripeLoadIndicator,
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			});
		}

		function checkPrivacy(params) {
			if($(params).is(':checked')){
				$('#newsletter_button').prop('disabled', false);
				$('#newsletter_button').css({
					'opacity': '1',
					'cursor': 'pointer',
				});
			}else{
				$('#newsletter_button').prop('disabled', true);
				$('#newsletter_button').css({
					'opacity': '0.7',
					'cursor': 'no-drop',
				});
			};
		}
	</script>
{% endput %}